########################################################################
#
#    Vision Network - Python source code - file generated by vision
#    Wednesday 29 August 2007 13:24:36 
#    
#       The Scripps Research Institute (TSRI)
#       Molecular Graphics Lab
#       La Jolla, CA 92037, USA
#
# Copyright: Daniel Stoffler, Michel Sanner and TSRI
#   
# revision: Guillaume Vareille
#  
#########################################################################
#
# $Header: /opt/cvs/python/packages/share1.5/Vision/doc/Examples/lena_net.py,v 1.3 2007/08/29 20:37:16 vareille Exp $
#
# $Id: lena_net.py,v 1.3 2007/08/29 20:37:16 vareille Exp $
#

from traceback import print_exc
## loading libraries ##
from Vision.PILNodes import imagelib
masterNet.getEditor().addLibraryInstance(imagelib,"Vision.PILNodes", "imagelib")

try:
    ## saving node Read Image ##
    from Vision.PILNodes import ReadImage
    Read_Image_0 = ReadImage(constrkw = {}, name='Read Image', library=imagelib)
    masterNet.addNode(Read_Image_0,65,19)
    apply(Read_Image_0.inputPortByName['filename'].configure, (), {'datatype': 'string', 'originalDatatype': 'str'})
    Read_Image_0.inputPortByName['filename'].widget.set("lena.jpg", run=False)
    apply(Read_Image_0.configure, (), {'expanded': True})
except:
    print "WARNING: failed to restore ReadImage named Read Image in network masterNet"
    print_exc()
    Read_Image_0=None

try:
    ## saving node Show Image ##
    from Vision.PILNodes import ShowImage
    Show_Image_1 = ShowImage(constrkw = {}, name='Show Image', library=imagelib)
    masterNet.addNode(Show_Image_1,101,268)
except:
    print "WARNING: failed to restore ShowImage named Show Image in network masterNet"
    print_exc()
    Show_Image_1=None

try:
    ## saving node Scale ##
    from Vision.PILNodes import ResizeImage
    Scale_2 = ResizeImage(constrkw = {}, name='Scale', library=imagelib)
    masterNet.addNode(Scale_2,93,158)
except:
    print "WARNING: failed to restore ResizeImage named Scale in network masterNet"
    print_exc()
    Scale_2=None

masterNet.run()
masterNet.freeze()

## saving connections for network lena ##
if Read_Image_0 is not None and Scale_2 is not None:
    try:
        masterNet.connectNodes(
            Read_Image_0, Scale_2, "image", "image", blocking=True)
    except:
        print "WARNING: failed to restore connection between Read_Image_0 and Scale_2 in network masterNet"
if Scale_2 is not None and Show_Image_1 is not None:
    try:
        masterNet.connectNodes(
            Scale_2, Show_Image_1, "scaledImage", "image", blocking=True)
    except:
        print "WARNING: failed to restore connection between Scale_2 and Show_Image_1 in network masterNet"
masterNet.unfreeze()

#masterNet.run()
