########################################################################
#
#    Vision Network - Python source code - file generated by vision
#    Wednesday 29 August 2007 12:49:49 
#    
#       The Scripps Research Institute (TSRI)
#       Molecular Graphics Lab
#       La Jolla, CA 92037, USA
#
# Copyright: Daniel Stoffler, Michel Sanner and TSRI
#   
# revision: Guillaume Vareille
#  
#########################################################################
#
# $Header: /opt/cvs/python/packages/share1.5/Vision/doc/Tutorial/cartoon/cartoon0_net.py,v 1.4 2007/08/29 20:37:16 vareille Exp $
#
# $Id: cartoon0_net.py,v 1.4 2007/08/29 20:37:16 vareille Exp $
#

from traceback import print_exc
## loading libraries ##
from Vision.PILNodes import imagelib
masterNet.getEditor().addLibraryInstance(imagelib,"Vision.PILNodes", "imagelib")

try:
    ## saving node Show Image ##
    from Vision.PILNodes import ShowImage
    Show_Image_0 = ShowImage(constrkw = {}, name='Show Image', library=imagelib)
    masterNet.addNode(Show_Image_0,46,215)
except:
    print "WARNING: failed to restore ShowImage named Show Image in network masterNet"
    print_exc()
    Show_Image_0=None

try:
    ## saving node Scale ##
    from Vision.PILNodes import ResizeImage
    Scale_1 = ResizeImage(constrkw = {}, name='Scale', library=imagelib)
    masterNet.addNode(Scale_1,46,139)
except:
    print "WARNING: failed to restore ResizeImage named Scale in network masterNet"
    print_exc()
    Scale_1=None

try:
    ## saving node Read Image ##
    from Vision.PILNodes import ReadImage
    Read_Image_2 = ReadImage(constrkw = {}, name='Read Image', library=imagelib)
    masterNet.addNode(Read_Image_2,46,29)
    apply(Read_Image_2.inputPortByName['filename'].configure, (), {'datatype': 'string', 'originalDatatype': 'str'})
    apply(Read_Image_2.inputPortByName['filename'].widget.configure, (), {'initialValue': '/home/vareille/dev/Data/crnCartoon0000_movie/crnCartoon0000.png'})
    Read_Image_2.inputPortByName['filename'].widget.set("cartoonMovie/crnCartoon0000.png", run=False)
    apply(Read_Image_2.configure, (), {'expanded': True})
except:
    print "WARNING: failed to restore ReadImage named Read Image in network masterNet"
    print_exc()
    Read_Image_2=None

masterNet.run()
masterNet.freeze()

## saving connections for network cartoon0 ##
if Read_Image_2 is not None and Scale_1 is not None:
    try:
        masterNet.connectNodes(
            Read_Image_2, Scale_1, "image", "image", blocking=True)
    except:
        print "WARNING: failed to restore connection between Read_Image_2 and Scale_1 in network masterNet"
if Scale_1 is not None and Show_Image_0 is not None:
    try:
        masterNet.connectNodes(
            Scale_1, Show_Image_0, "scaledImage", "image", blocking=True)
    except:
        print "WARNING: failed to restore connection between Scale_1 and Show_Image_0 in network masterNet"
masterNet.unfreeze()

#masterNet.run()
